NUMFMT(1)

NAVN
numfmt - konverter tal fra/til læsevenlige strenge

SYNOPSIS
numfmt [FLAG]... [TAL]...

BESKRIVELSE

Omformatér TAL eller tallene fra standard-input hvis ingen er givet.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

--debug
    udskriv advarsler om ugyldige inddata

-d, --delimiter=X
    brug X frem for blanke tegn som feltskilletegn

--field=FELTER
    erstat tallene i disse inddatafelter (1 som standard); se FELTER nedenfor

--format=FORMAT
    brug FORMAT til flydende tal i stil med printf; se detaljer for FORMAT nedenfor

--from=ENHED
    auto-skalér ind-tal til ENHEDer; standardværdi er "none"; see ENHED nedenfor

--from-unit=N
    angiv enhedsstørrelse for inddata (ellers bruges 1)

--grouping
    brug regionsdefineret gruppering af cifre, f.eks. 1,000,000 (hvilket betyder at det ingen effekt har i C/POSIX-regionsindstillinger)

--header[=N]
    udskriv (uden konvertering) de første N hovedlinjer; N sættes til 1 hvis ikke givet

--invalid=TILSTAND
    fejltilstand for ugyldige tal: TILSTAND kan være: abort (standard), fail, warn, ignore

--padding=N
    udfyld udskriften til N tegn; positiv N højrestiller; negativ N venstrestiller; udfyldning ignoreres hvis uddata er bredere end N tegn; standardopførsel er at udfylde automatisk hvis der findes blanke tegn

--round=METODE
    brug afrundingsMETODE ved skalering; METODE kan være: up, down, from-zero (standard), towards-zero, nearest

--suffix=SUFFIKS
    tilføj SUFFIKS til ud-numre, og acceptér valgfrit SUFFIKS i ind-numre

--to=ENHED
    autoskalér ud-tal til ENHEDer; se ENHED nedenfor

--to-unit=N
    enhedsstørrelse for uddata (frem for standardværdien 1)

-z, --zero-terminated
    linjeadskiller er NUL frem for linjeskift

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

  Flag til ENHED:

none
    der foretages ingen autoskalering; suffikser vil udløse en fejl

auto
    acceptér valgfri et- eller tobogstavssuffiks:

    1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  acceptér valgfri etbogstavssuffiks:

    1K = 1000, 1M = 1000000, ...

iec acceptér valgfri etbogstavssuffiks:

    1K = 1024, 1M = 1048576, ...

iec-i
    acceptér valgfri tobogstavssuffiks:

    1Ki = 1024, 1Mi = 1048576, ...

  FELTER understøtter feltintervaller i stil med cut(1):

N   N'te felt, talt fra 1

N-  fra N'te felt til linjeafslutning

N-M fra N'te til M'te felt (inklusive)

-M  fra første til M'te felt (inklusive)

-   alle felter

Flere felter/intervaller kan adskilles af komma

FORMAT skal passe til at udskrive ét flydende tal "%f". Valgfrit citationstegn (%'f) medfører --grouping (hvis understøttet af regionsindstillinger). Udskrift fyldes op til valgfri breddeværdi (%10f). Valgfri nulbredde (%010f) vil udfylde tallet med nuller. Valgfri negativ breddeværdi (%-10f) vil venstrestille. Valgfri præcision (%.1f) vil tilsidesætte præcision bestemt af inddata.

Slutstatus er 0 hvis alle ind-numre blev konverteret planmæssigt. Som standard vil numfmt stoppe ved første konverteringsfejl med slutstatus 2. Med --invalid="fail" vil der blive vist en advarsel for hver konverteringsfejl, og slutstatus bliver 2. Med --invalid="warn" diagnosticeres hver konverteringsfejl, men slutstatus er 0. Med --invalid="ignore" vil konverteringsfejl ikke blive diagnosticeret, og slutstatus er 0.

EKSEMPLER

    $ numfmt --to=si 1000

    -> "1.0K"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt --to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

FORFATTER
Skrevet af Assaf Gordon.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/numfmt>
eller lokalt tilgængelig via: info '(coreutils) numfmt invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.